For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
Query parameters
limitintegerOptional
Maximum number of entities per page, defaults to 100.
claim_statusenumOptional
Indicates the current status of an insurance claim within the billing process.
sortenumOptional
Defaults to created_at:desc.
Allowed values:
page_tokenstringOptional
date_of_service_mindateOptional
Date formatted as YYYY-MM-DD; eg: 2019-08-25.
date_of_service_maxdateOptional
Date formatted as YYYY-MM-DD; eg: 2019-08-25.
primary_payer_namesstringOptional
Comma delimited string.
search_termstringOptional
Filter by any of the following fields: encounter_id, claim_id, patient external_id,
patient date of birth, patient first name, patient last name,
or encounter external id.
external_idstringOptional
Filter to an exact match on encounter external_id, if one exists.
diagnoses_updated_sincedatetimeOptional
ISO 8601 timestamp; ideally in UTC (although not required): 2019-08-24T14:15:22Z.
tag_idslist of stringsOptional
Filter by name of tags on encounters.
work_queue_idstringOptional
billable_statusenumOptional
Defines if the Encounter is to be billed by Taiga to the responsible_party. Examples for when this should be set to NOT_BILLABLE include if the Encounter has not occurred yet or if there is no intention of ever billing the responsible_party.
Allowed values:
responsible_partyenumOptional
Defines the party to be billed with the initial balance owed on the claim. Use SELF_PAY if you intend to bill self pay/cash pay.
Allowed values:
owner_of_next_actionenumOptional
The party who is responsible for taking the next action on an Encounter, as defined by ownership of open Tasks.
Allowed values:
patient_external_idstringOptional
The patient ID from the external EMR platform for the patient
include_merged_patient_databooleanOptional
If true and patient_external_id is set, then also include the encounters of all alternative patients.
billing_provider_npislist of stringsOptional
Filter to encounters whose billing provider matches any of these NPIs.